import React, { Fragment } from 'react'
import CircularProgress from '@material-ui/core/CircularProgress'
import { withStyles } from '@material-ui/core/styles'
const styles = theme => ({
  loader: {
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    textAlign: 'center',
    justifyContent: 'center',
    fontFamily: 'Dosis',
    fontWeight: '500',
    fontSize: '1em',
    padding: theme.spacing(6,0),
    color: theme.palette.primary.main,
  },
})

class Loader extends React.Component {
  render() {
    const { classes } = this.props;
    return (
      <div className={classes.loader + ' ' + 'alert alert-info'}><CircularProgress color="primary" />Chargement... </div>
    )

  }
}

export default withStyles(styles)(Loader)